<?xml version="1.0"?>

<ROOT>
    <CONSTANT package="performa.orm.types"  name="Countries">
               
        <DATA   name="Currency" type="CurrencyType"/>

        <VALUE name='AF' description='Afghanistan'    Currency='CurrencyType.USD'/>
        <VALUE name='AL' description='Albania'    Currency='CurrencyType.USD'/>
        <VALUE name='DZ' description='Algeria'    Currency='CurrencyType.USD'/>
        <VALUE name='AS' description='American Samoa'    Currency='CurrencyType.USD'/>
        <VALUE name='AD' description='Andorra'    Currency='CurrencyType.USD'/>
        <VALUE name='AO' description='Angola'    Currency='CurrencyType.USD'/>
        <VALUE name='AI' description='Anguilla/St Kitts'    Currency='CurrencyType.USD'/>
        <VALUE name='AQ' description='Antarctica'    Currency='CurrencyType.USD'/>
        <VALUE name='AG' description='Antigua and Barbuda'    Currency='CurrencyType.USD'/>
        <VALUE name='AR' description='Argentina'    Currency='CurrencyType.USD'/>
        <VALUE name='AM' description='Armenia'    Currency='CurrencyType.USD'/>
        <VALUE name='AW' description='Aruba'    Currency='CurrencyType.USD'/>
        <VALUE name='AU' description='Australia'    Currency='CurrencyType.AUD'/>
        <VALUE name='AT' description='Austria'    Currency='CurrencyType.EUR'/>
        <VALUE name='AZ' description='Azerbaijan'    Currency='CurrencyType.USD'/>
        <VALUE name='BS' description='Bahamas'    Currency='CurrencyType.USD'/>
        <VALUE name='BH' description='Bahrain'    Currency='CurrencyType.USD'/>
        <VALUE name='BD' description='Bangladesh'    Currency='CurrencyType.USD'/>
        <VALUE name='BB' description='Barbados'    Currency='CurrencyType.USD'/>
        <VALUE name='BY' description='Belarus'    Currency='CurrencyType.USD'/>
        <VALUE name='BE' description='Belgium'    Currency='CurrencyType.EUR'/>
        <VALUE name='BZ' description='Belize'    Currency='CurrencyType.USD'/>
        <VALUE name='BJ' description='Benin'    Currency='CurrencyType.USD'/>
        <VALUE name='BM' description='Bermuda'    Currency='CurrencyType.USD'/>
        <VALUE name='BT' description='Bhutan'    Currency='CurrencyType.USD'/>
        <VALUE name='BO' description='Bolivia'    Currency='CurrencyType.USD'/>
        <VALUE name='BA' description='Bosnia Herzegovina'    Currency='CurrencyType.USD'/>
        <VALUE name='BW' description='Botswana'    Currency='CurrencyType.USD'/>
        <VALUE name='BV' description='Bouvet Island'    Currency='CurrencyType.USD'/>
        <VALUE name='BR' description='Brazil'    Currency='CurrencyType.USD'/>
        <VALUE name='IO' description='British Indian Ocean Territory'    Currency='CurrencyType.GBP'/>
        <VALUE name='BN' description='Brunei Darussalam'    Currency='CurrencyType.USD'/>
        <VALUE name='BG' description='Bulgaria'    Currency='CurrencyType.USD'/>
        <VALUE name='BF' description='Burkina Fasa'    Currency='CurrencyType.USD'/>
        <VALUE name='BI' description='Burundi'    Currency='CurrencyType.USD'/>
        <VALUE name='KH' description='Cambodia'    Currency='CurrencyType.USD'/>
        <VALUE name='CM' description='Cameroon'    Currency='CurrencyType.USD'/>
        <VALUE name='CA' description='Canada'    Currency='CurrencyType.CAD'/>
        <VALUE name='CV' description='Cape Verde'    Currency='CurrencyType.USD'/>
        <VALUE name='KY' description='Cayman Islands'    Currency='CurrencyType.USD'/>
        <VALUE name='CF' description='Central African Republic'    Currency='CurrencyType.USD'/>
        <VALUE name='TD' description='Chad'    Currency='CurrencyType.USD'/>
        <VALUE name='CL' description='Chile'    Currency='CurrencyType.USD'/>
        <VALUE name='CN' description='China'    Currency='CurrencyType.USD'/>
        <VALUE name='CX' description='Christmas Island'    Currency='CurrencyType.AUD'/>
        <VALUE name='CC' description='Cocos (Keeling) Islands'    Currency='CurrencyType.AUD'/>
        <VALUE name='CO' description='Colombia'    Currency='CurrencyType.USD'/>
        <VALUE name='KM' description='Comoros'    Currency='CurrencyType.USD'/>
        <VALUE name='CG' description='Congo'    Currency='CurrencyType.USD'/>
        <VALUE name='CD' description='Congo, The Democratic Republic of the'    Currency='CurrencyType.USD'/>
        <VALUE name='CK' description='Cook Islands'    Currency='CurrencyType.USD'/>
        <VALUE name='CR' description='Costa Rica'    Currency='CurrencyType.USD'/>
        <VALUE name='CI' description="Cote D'Ivoire"    Currency='CurrencyType.USD'/>
        <VALUE name='HR' description='Croatia'    Currency='CurrencyType.USD'/>
        <VALUE name='CU' description='Cuba'    Currency='CurrencyType.USD'/>
        <VALUE name='CY' description='Cyprus'    Currency='CurrencyType.EUR'/>
        <VALUE name='CZ' description='Czech Republic'    Currency='CurrencyType.USD'/>
        <VALUE name='DK' description='Denmark'    Currency='CurrencyType.USD'/>
        <VALUE name='DJ' description='Djibouti'    Currency='CurrencyType.USD'/>
        <VALUE name='DM' description='Dominica'    Currency='CurrencyType.USD'/>
        <VALUE name='DO' description='Dominican Republic'    Currency='CurrencyType.USD'/>
        <VALUE name='TP' description='East Timor'    Currency='CurrencyType.USD'/>
        <VALUE name='EC' description='Ecuador'    Currency='CurrencyType.USD'/>
        <VALUE name='EG' description='Egypt'    Currency='CurrencyType.USD'/>
        <VALUE name='SV' description='El Salvador'    Currency='CurrencyType.USD'/>
        <VALUE name='GQ' description='Equatorial Guinea'    Currency='CurrencyType.USD'/>
        <VALUE name='ER' description='Eritrea'    Currency='CurrencyType.USD'/>
        <VALUE name='EE' description='Estonia'    Currency='CurrencyType.EUR'/>
        <VALUE name='ET' description='Ethiopia'    Currency='CurrencyType.USD'/>
        <VALUE name='FK' description='Falkland Islands'    Currency='CurrencyType.USD'/>
        <VALUE name='FO' description='Faroe Islands'    Currency='CurrencyType.USD'/>
        <VALUE name='FJ' description='Fiji'    Currency='CurrencyType.USD'/>
        <VALUE name='FI' description='Finland'    Currency='CurrencyType.EUR'/>
        <VALUE name='FR' description='France'    Currency='CurrencyType.EUR'/>
        <VALUE name='GF' description='French Guiana'    Currency='CurrencyType.USD'/>
        <VALUE name='PF' description='French Polynesia'    Currency='CurrencyType.USD'/>
        <VALUE name='TF' description='French Souther Territories'    Currency='CurrencyType.USD'/>
        <VALUE name='GA' description='Gabon'    Currency='CurrencyType.USD'/>
        <VALUE name='GM' description='Gambia'    Currency='CurrencyType.USD'/>
        <VALUE name='GE' description='Georgia'    Currency='CurrencyType.USD'/>
        <VALUE name='DE' description='Germany'    Currency='CurrencyType.EUR'/>
        <VALUE name='GH' description='Ghana'    Currency='CurrencyType.USD'/>
        <VALUE name='GI' description='Gibraltar'    Currency='CurrencyType.USD'/>
        <VALUE name='GB' description='Great Britain'    Currency='CurrencyType.USD'/>
        <VALUE name='GR' description='Greece'    Currency='CurrencyType.EUR'/>
        <VALUE name='GL' description='Greenland'    Currency='CurrencyType.USD'/>
        <VALUE name='GD' description='Grenada'    Currency='CurrencyType.USD'/>
        <VALUE name='GP' description='Guadeloupe/St Martin'    Currency='CurrencyType.USD'/>
        <VALUE name='GU' description='Guam'    Currency='CurrencyType.USD'/>
        <VALUE name='GT' description='Guatemala'    Currency='CurrencyType.USD'/>
        <VALUE name='GN' description='Guinea'    Currency='CurrencyType.USD'/>
        <VALUE name='GW' description='Guinea Bissau'    Currency='CurrencyType.USD'/>
        <VALUE name='GY' description='Guyana'    Currency='CurrencyType.USD'/>
        <VALUE name='HT' description='Haiti'    Currency='CurrencyType.USD'/>
        <VALUE name='HM' description='Heard and McDonald Islands'    Currency='CurrencyType.USD'/>
        <VALUE name='HN' description='Honduras'    Currency='CurrencyType.USD'/>
        <VALUE name='HK' description='Hong Kong'    Currency='CurrencyType.USD'/>
        <VALUE name='HU' description='Hungary'    Currency='CurrencyType.USD'/>
        <VALUE name='IS' description='Iceland'    Currency='CurrencyType.USD'/>
        <VALUE name='IN' description='India'    Currency='CurrencyType.USD'/>
        <VALUE name='ID' description='Indonesia'    Currency='CurrencyType.USD'/>
        <VALUE name='IR' description='Iran'    Currency='CurrencyType.USD'/>
        <VALUE name='IQ' description='Iraq'    Currency='CurrencyType.USD'/>
        <VALUE name='IE' description='Ireland'    Currency='CurrencyType.EUR'/>
        <VALUE name='IM' description='Isle Of Man'    Currency='CurrencyType.GBP'/>
        <VALUE name='IL' description='Israel'    Currency='CurrencyType.USD'/>
        <VALUE name='IT' description='Italy'    Currency='CurrencyType.EUR'/>
        <VALUE name='JM' description='Jamaica'    Currency='CurrencyType.USD'/>
        <VALUE name='JP' description='Japan'    Currency='CurrencyType.USD'/>
        <VALUE name='JO' description='Jordan'    Currency='CurrencyType.USD'/>
        <VALUE name='KZ' description='Kazakhstan'    Currency='CurrencyType.USD'/>
        <VALUE name='KE' description='Kenya'    Currency='CurrencyType.USD'/>
        <VALUE name='KI' description='Kiribati'    Currency='CurrencyType.AUD'/>
        <VALUE name='KW' description='Kuwait'    Currency='CurrencyType.USD'/>
        <VALUE name='KG' description='Kyrgzstan'    Currency='CurrencyType.USD'/>
        <VALUE name='LA' description='Laos'    Currency='CurrencyType.USD'/>
        <VALUE name='LV' description='Latvia'    Currency='CurrencyType.EUR'/>
        <VALUE name='LB' description='Lebanon'    Currency='CurrencyType.USD'/>
        <VALUE name='LS' description='Lesotho'    Currency='CurrencyType.USD'/>
        <VALUE name='LR' description='Liberia'    Currency='CurrencyType.USD'/>
        <VALUE name='LY' description='Libyan Arab Jamahiriya'    Currency='CurrencyType.USD'/>
        <VALUE name='LI' description='Liechtenstein'    Currency='CurrencyType.USD'/>
        <VALUE name='LT' description='Lithuania'    Currency='CurrencyType.EUR'/>
        <VALUE name='LU' description='Luxembourg'    Currency='CurrencyType.EUR'/>
        <VALUE name='MO' description='Macau'    Currency='CurrencyType.USD'/>
        <VALUE name='MK' description='Macedonia'    Currency='CurrencyType.USD'/>
        <VALUE name='MG' description='Madagascar'    Currency='CurrencyType.USD'/>
        <VALUE name='MW' description='Malawi'    Currency='CurrencyType.USD'/>
        <VALUE name='MY' description='Malaysia'    Currency='CurrencyType.USD'/>
        <VALUE name='MV' description='Maldives'    Currency='CurrencyType.USD'/>
        <VALUE name='ML' description='Mali'    Currency='CurrencyType.USD'/>
        <VALUE name='MT' description='Malta'    Currency='CurrencyType.EUR'/>
        <VALUE name='MH' description='Marshall Islands'    Currency='CurrencyType.USD'/>
        <VALUE name='MQ' description='Martinique'    Currency='CurrencyType.USD'/>
        <VALUE name='MR' description='Mauritania'    Currency='CurrencyType.USD'/>
        <VALUE name='MU' description='Mauritius'    Currency='CurrencyType.USD'/>
        <VALUE name='YT' description='Mayotte'    Currency='CurrencyType.USD'/>
        <VALUE name='MX' description='Mexico'    Currency='CurrencyType.USD'/>
        <VALUE name='FM' description='Micronesia, Federated States of'    Currency='CurrencyType.USD'/>
        <VALUE name='MI' description='Midway Islands'    Currency='CurrencyType.USD'/>
        <VALUE name='MD' description='Moldova'    Currency='CurrencyType.USD'/>
        <VALUE name='MC' description='Monaco'    Currency='CurrencyType.USD'/>
        <VALUE name='MN' description='Mongolia'    Currency='CurrencyType.USD'/>
        <VALUE name='ME' description='Montenegro'    Currency='CurrencyType.USD'/>
        <VALUE name='MS' description='Montserrat'    Currency='CurrencyType.USD'/>
        <VALUE name='MA' description='Morocco'    Currency='CurrencyType.USD'/>
        <VALUE name='MZ' description='Mozambique'    Currency='CurrencyType.USD'/>
        <VALUE name='MM' description='Myanmar'    Currency='CurrencyType.USD'/>
        <VALUE name='NA' description='Namibia'    Currency='CurrencyType.USD'/>
        <VALUE name='NR' description='Nauru'    Currency='CurrencyType.AUD'/>
        <VALUE name='NP' description='Nepal'    Currency='CurrencyType.USD'/>
        <VALUE name='NL' description='Netherlands'    Currency='CurrencyType.EUR'/>
        <VALUE name='AN' description='Netherlands Antilles'    Currency='CurrencyType.USD'/>
        <VALUE name='NC' description='New Caledonia'    Currency='CurrencyType.USD'/>
        <VALUE name='NZ' description='New Zealand'    Currency='CurrencyType.NZD'/>
        <VALUE name='NI' description='Nicaragua'    Currency='CurrencyType.USD'/>
        <VALUE name='NE' description='Niger'    Currency='CurrencyType.USD'/>
        <VALUE name='NG' description='Nigeria'    Currency='CurrencyType.USD'/>
        <VALUE name='NU' description='Niue'    Currency='CurrencyType.NZD'/>
        <VALUE name='NF' description='Norfolk Island'    Currency='CurrencyType.AUD'/>
        <VALUE name='KP' description='North Korea'    Currency='CurrencyType.USD'/>
        <VALUE name='MP' description='Northern Mariana Islands'    Currency='CurrencyType.USD'/>
        <VALUE name='NO' description='Norway'    Currency='CurrencyType.USD'/>
        <VALUE name='OM' description='Oman'    Currency='CurrencyType.USD'/>
        <VALUE name='PK' description='Pakistan'    Currency='CurrencyType.USD'/>
        <VALUE name='PW' description='Palau'    Currency='CurrencyType.USD'/>
        <VALUE name='PA' description='Panama'    Currency='CurrencyType.USD'/>
        <VALUE name='PG' description='Papua New Guinea'    Currency='CurrencyType.USD'/>
        <VALUE name='PY' description='Paraguay'    Currency='CurrencyType.USD'/>
        <VALUE name='PE' description='Peru'    Currency='CurrencyType.USD'/>
        <VALUE name='PH' description='Philippines'    Currency='CurrencyType.USD'/>
        <VALUE name='PN' description='Pitcairn'    Currency='CurrencyType.NZD'/>
        <VALUE name='PL' description='Poland'    Currency='CurrencyType.USD'/>
        <VALUE name='PT' description='Portugal'    Currency='CurrencyType.EUR'/>
        <VALUE name='PR' description='Puerto Rico'    Currency='CurrencyType.USD'/>
        <VALUE name='QA' description='Qatar'    Currency='CurrencyType.USD'/>
        <VALUE name='RE' description='Reunion'    Currency='CurrencyType.USD'/>
        <VALUE name='RO' description='Romania'    Currency='CurrencyType.USD'/>
        <VALUE name='RU' description='Russia'    Currency='CurrencyType.USD'/>
        <VALUE name='RQ' description='Russian Federation'    Currency='CurrencyType.USD'/>
        <VALUE name='RW' description='Rwanda'    Currency='CurrencyType.USD'/>
        <VALUE name='SH' description='Saint Helena'    Currency='CurrencyType.USD'/>
        <VALUE name='KN' description='Saint Kitts and Nevis'    Currency='CurrencyType.USD'/>
        <VALUE name='LC' description='Saint Lucia'    Currency='CurrencyType.USD'/>
        <VALUE name='PM' description='Saint Pierre And Miquelon'    Currency='CurrencyType.USD'/>
        <VALUE name='VC' description='Saint Vincent And The Grenadines'    Currency='CurrencyType.USD'/>
        <VALUE name='WS' description='Samoa'    Currency='CurrencyType.USD'/>
        <VALUE name='SM' description='San Marino'    Currency='CurrencyType.USD'/>
        <VALUE name='ST' description='Sao Tome and Principe'    Currency='CurrencyType.USD'/>
        <VALUE name='SA' description='Saudi Arabia'    Currency='CurrencyType.USD'/>
        <VALUE name='SN' description='Senegal'    Currency='CurrencyType.USD'/>
        <VALUE name='RS' description='Serbia'    Currency='CurrencyType.USD'/>
        <VALUE name='SC' description='Seychelles'    Currency='CurrencyType.USD'/>
        <VALUE name='SL' description='Sierra Leone'    Currency='CurrencyType.USD'/>
        <VALUE name='SG' description='Singapore'    Currency='CurrencyType.SGD'/>
        <VALUE name='SK' description='Slovakia'    Currency='CurrencyType.EUR'/>
        <VALUE name='SI' description='Slovenia'    Currency='CurrencyType.EUR'/>
        <VALUE name='SB' description='Solomon Islands'    Currency='CurrencyType.USD'/>
        <VALUE name='SO' description='Somalia'    Currency='CurrencyType.USD'/>
        <VALUE name='ZA' description='South Africa'    Currency='CurrencyType.USD'/>
        <VALUE name='GS' description='South Georgia and the South Sandwich Islands'    Currency='CurrencyType.GBP'/>
        <VALUE name='KR' description='South Korea'    Currency='CurrencyType.USD'/>
        <VALUE name='ES' description='Spain'    Currency='CurrencyType.EUR'/>
        <VALUE name='LK' description='Sri Lanka'    Currency='CurrencyType.USD'/>
        <VALUE name='SD' description='Sudan'    Currency='CurrencyType.USD'/>
        <VALUE name='SR' description='Suriname'    Currency='CurrencyType.USD'/>
        <VALUE name='SJ' description='Svalbard and Jan Mayen Islands'    Currency='CurrencyType.USD'/>
        <VALUE name='SZ' description='Swaziland'    Currency='CurrencyType.USD'/>
        <VALUE name='SE' description='Sweden'    Currency='CurrencyType.USD'/>
        <VALUE name='CH' description='Switzerland'    Currency='CurrencyType.USD'/>
        <VALUE name='SY' description='Syria'    Currency='CurrencyType.USD'/>
        <VALUE name='TW' description='Taiwan'    Currency='CurrencyType.USD'/>
        <VALUE name='TJ' description='Tajikistan'    Currency='CurrencyType.USD'/>
        <VALUE name='TZ' description='Tanzania'    Currency='CurrencyType.USD'/>
        <VALUE name='TH' description='Thailand'    Currency='CurrencyType.USD'/>
        <VALUE name='TG' description='Togo'    Currency='CurrencyType.USD'/>
        <VALUE name='TK' description='Tokelau'    Currency='CurrencyType.NZD'/>
        <VALUE name='TO' description='Tonga'    Currency='CurrencyType.AUD'/>
        <VALUE name='TT' description='Trinidad And Tobago'    Currency='CurrencyType.USD'/>
        <VALUE name='TN' description='Tunisia'    Currency='CurrencyType.USD'/>
        <VALUE name='TR' description='Turkey'    Currency='CurrencyType.USD'/>
        <VALUE name='TM' description='Turkmenistan'    Currency='CurrencyType.USD'/>
        <VALUE name='TC' description='Turks and Caicos Islands'    Currency='CurrencyType.USD'/>
        <VALUE name='TV' description='Tuvalu'    Currency='CurrencyType.AUD'/>
        <VALUE name='UG' description='Uganda'    Currency='CurrencyType.USD'/>
        <VALUE name='UA' description='Ukraine'    Currency='CurrencyType.USD'/>
        <VALUE name='AE' description='United Arab Emirates'    Currency='CurrencyType.USD'/>
        <VALUE name='UK' description='United Kingdom'    Currency='CurrencyType.GBP'/>
        <VALUE name='US' description='United States'    Currency='CurrencyType.USD'/>
        <VALUE name='UM' description='United States Minor Outlying Islands'    Currency='CurrencyType.USD'/>
        <VALUE name='UY' description='Uruguay'    Currency='CurrencyType.USD'/>
        <VALUE name='UZ' description='Uzbekistan'    Currency='CurrencyType.USD'/>
        <VALUE name='VU' description='Vanuatu'    Currency='CurrencyType.AUD'/>
        <VALUE name='VA' description='Vatican City State'    Currency='CurrencyType.USD'/>
        <VALUE name='VE' description='Venezuela'    Currency='CurrencyType.USD'/>
        <VALUE name='VN' description='Vietnam'    Currency='CurrencyType.USD'/>
        <VALUE name='VG' description='Virgin Islands, British'    Currency='CurrencyType.USD'/>
        <VALUE name='VI' description='Virgin Islands, US'    Currency='CurrencyType.USD'/>
        <VALUE name='WF' description='Wallis and Futuna Islands'    Currency='CurrencyType.USD'/>
        <VALUE name='EH' description='Western Sahara'    Currency='CurrencyType.USD'/>
        <VALUE name='YE' description='Yemen'    Currency='CurrencyType.USD'/>
        <VALUE name='ZR' description='Zaire'    Currency='CurrencyType.USD'/>
        <VALUE name='ZM' description='Zambia'    Currency='CurrencyType.USD'/>
        <VALUE name='ZW' description='Zimbabwe'    Currency='CurrencyType.USD'/>

    </CONSTANT>
</ROOT>